Table Processing
===================================

.. currentmodule:: pyo

Set of objects to perform operations on PyoTableObjects.

PyoTableObjects are 1 dimension containers. They can be used to 
store audio samples or algorithmic sequences for future uses.

*Granulator*
-----------------------------------

.. autoclass:: Granulator
   :members:

   .. autoclasstoc::

*Granule*
-----------------------------------

.. autoclass:: Granule
   :members:

   .. autoclasstoc::

*Lookup*
-----------------------------------

.. autoclass:: Lookup
   :members:

   .. autoclasstoc::

*Looper*
-----------------------------------

.. autoclass:: Looper
   :members:

   .. autoclasstoc::

*Osc*
-----------------------------------

.. autoclass:: Osc
   :members:

   .. autoclasstoc::

*OscBank*
-----------------------------------

.. autoclass:: OscBank
   :members:

   .. autoclasstoc::

*OscLoop*
-----------------------------------

.. autoclass:: OscLoop
   :members:

   .. autoclasstoc::

*OscTrig*
-----------------------------------

.. autoclass:: OscTrig
   :members:

   .. autoclasstoc::

*Particle*
-----------------------------------

.. autoclass:: Particle
   :members:

   .. autoclasstoc::

*Particle2*
-----------------------------------

.. autoclass:: Particle2
   :members:

   .. autoclasstoc::

*Pointer*
-----------------------------------

.. autoclass:: Pointer
   :members:

   .. autoclasstoc::

*Pointer2*
-----------------------------------

.. autoclass:: Pointer2
   :members:

   .. autoclasstoc::

*Pulsar*
-----------------------------------

.. autoclass:: Pulsar
   :members:

   .. autoclasstoc::

*TableIndex*
-----------------------------------

.. autoclass:: TableIndex
   :members:

   .. autoclasstoc::

*TableMorph*
-----------------------------------

.. autoclass:: TableMorph
   :members:

   .. autoclasstoc::

*TablePut*
-----------------------------------

.. autoclass:: TablePut
   :members:

   .. autoclasstoc::

*TableRead*
-----------------------------------

.. autoclass:: TableRead
   :members:

   .. autoclasstoc::

*TableRec*
-----------------------------------

.. autoclass:: TableRec
   :members:

   .. autoclasstoc::

*TableWrite*
-----------------------------------

.. autoclass:: TableWrite
   :members:

   .. autoclasstoc::

*TableScale*
-----------------------------------

.. autoclass:: TableScale
   :members:

   .. autoclasstoc::

*TableFill*
-----------------------------------

.. autoclass:: TableFill
   :members:

   .. autoclasstoc::

*TableScan*
-----------------------------------

.. autoclass:: TableScan
   :members:

   .. autoclasstoc::
